using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using EMDServer.Common;

namespace EMDServer.Core.Devices
{
    public class Dimmer : Device
    {
        public Dimmer(int id, iEMDConnection gateway)
            : base(id, Constants.EMD_DEVICE_TYPE.DIMMER, gateway)
        {
        }

        /// <summary>
        /// Gets or sets the int value of the device
        /// </summary>
        public override int DeviceValue
        {
            get { 
                return deviceValue; 
            }
            set { 
                deviceValue = value;

                if (this.mainController != null)
                {
                    this.mainController.synchronizeValuesOnConnectedInputDevices(deviceId);
                }
            }
        }
    }
}
